Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitTestMethodWithoutAssertRule

- groovy.org.codenarc.rule.junit.JUnitTestMethodWithoutAssertRule

- This rule searches for test methods that do not contain assert statements. Either the test method is missing assert statements, which is an error, or the test method contains custom assert statements that do not follow a proper assert naming convention. Test methods are defined as public void methods that begin with the work test or have a

  Test:
    annotation. By default this rule applies to the default test class names, but this can be changed using the rule's applyToClassNames property.
  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `String` | `assertMethodPatterns`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String applyToClassNames

    - #### String assertMethodPatterns

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()